09/02/2015 07:37 AM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category: Installer   

Target version: Katello 2.3.1   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1259294 Red Hat JIRA:  

Pull request: https://github.com/Katello/puppet-capsul

e/pull/54

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1259294

Description of problem:

capsule-installer sets incorrect file as a CA for client authentication.

Steps to Reproduce:

1. install satellite and isolated capsule with custom certificatses

2. try to register the host though the isolated capsule

Actual results:

Unable to verify server's identity: tlsv1 alert unknown ca

Expected results:

Everything works

Additional info:

The core issue is using katello_server_ca (used for server certificates) instead of katello_default_ca (used for client certificates)

Associated revisions

Revision 25cb897a - 09/02/2015 07:49 AM - Ivan Necas

Fixes #11660 - use default CA for client certificates verification

The katello_server_ca_cert is not meant to verify client certificates (although

it seems to work with all-in-one certificates).

Revision 25cb897a - 09/02/2015 07:49 AM - Ivan Necas

Fixes #11660 - use default CA for client certificates verification

The katello_server_ca_cert is not meant to verify client certificates (although

it seems to work with all-in-one certificates).

Revision c57fe89d - 09/03/2015 03:52 AM - Ivan Necas

Merge pull request #54 from iNecas/fix-ca-path

Fixes #11660 - use default CA for client certificates verification

Revision c57fe89d - 09/03/2015 03:52 AM - Ivan Necas

Merge pull request #54 from iNecas/fix-ca-path

Fixes #11660 - use default CA for client certificates verification

History

#1 - 09/02/2015 01:48 PM - Eric Helms

05/20/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1259294


- Assignee set to Ivan Necas

- translation missing: en.field_release set to 77

- Triaged changed from No to Yes

#2 - 09/11/2015 09:29 AM - Stephen Benjamin

- Status changed from New to Closed

- Pull request https://github.com/Katello/puppet-capsule/pull/54 added

- Pull request deleted ()
